Subject: [SWIPL] Prolog database bug?

From: Николай Федоров <[email-masked]>
Date: Thu, 27 Sep 2001 01:41:17 +0400

Hi, all!
Sorry for english.

Suppose I have predicate
    pred(param1, param2, param3, ...).
at the database, earlier inserted into it by
    asserta(pred(param1, param2, ...).

So, as I understand, such text in my program
    ..., pred(param1, X, Y, ...), ...
must allways be true, while solutions (for pred) exists.

... but I saw my own eyes that such predicate was FAIL,
 though solutions for him still exist in database.
May be important that fail occur in Redo of some above clauses (in text).

This leads my program to apearance of identical clauses in database,
 that is extrimely undesirable for me and "at all". I still don't know how to
walk arround this moment (because it is very unexpectedly).
I think it is a bug, because normal reaction is TRUE.

Who can help me?
/Nick/